me.legofreak107.vehiclesplus.vehicles.api.libraries.nbtsaving

## Enum NBTDataType

- java.lang.Object
- - java.lang.Enum<NBTDataType>
  - - me.legofreak107.vehiclesplus.vehicles.api.libraries.nbtsaving.NBTDataType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NBTDataType>

    public enum NBTDataType
    extends java.lang.Enum<NBTDataType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IS_VEHICLE`
`PART_DATA`
`UUID`
`VEHICLE_BASE`
`VEHICLE_LIST`

### Method Summary

All Methods Static Methods Concrete Methods
`static NBTDataType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NBTDataType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VEHICLE_BASE

    public static final NBTDataType VEHICLE_BASE

#### PART_DATA

    public static final NBTDataType PART_DATA

#### VEHICLE_LIST

    public static final NBTDataType VEHICLE_LIST

#### UUID

    public static final NBTDataType UUID

#### IS_VEHICLE

    public static final NBTDataType IS_VEHICLE

### Method Detail

#### values

    public static NBTDataType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NBTDataType c : NBTDataType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NBTDataType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null